using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class FmsBudget
    {
        public FmsBudget()
        {
            FmsBudgetDetail = new HashSet<FmsBudgetDetail>();
        }

        [Key]
        public int SiteId { get; set; }
        [Key]
        public int Year { get; set; }

        [InverseProperty("FmsBudget")]
        public virtual ICollection<FmsBudgetDetail> FmsBudgetDetail { get; set; }
    }
}
